Welcome to the new home of the HDX FAQ
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate App Identifier

Get an app identifier by encoding an application name and email

get

Encode an application name and email address in base64 to serve as an client identifier in HDX HAPI calls.

Query parameters
applicationstring · min: 4 · max: 512Required

A name for the calling application.

emailstring · email · max: 512Required

An email address.

Responses
200

Successful Response

application/json
encoded_app_identifierstring · max: 512Required

Base64 encoded app_identifier compiled from application name and email address

get/api/v2/encode_app_identifier
GET /api/v2/encode_app_identifier?application=text&email=name%40gmail.com HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "encoded_app_identifier": "text"
}

Last updated

Was this helpful?